#include "a_train.h"
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int main() {
    struct car* train = NULL;
    char input[SIZE];
    int option;

    do {
        printf("\n--- Train Management ---\n");
        printf("1. Add a car to the train\n");
        printf("2. Print the train\n");
        printf("3. Remove cars to Levoča\n");
        printf("4. Exit\n");
        printf("Select an option: ");
        scanf("%d", &option);
        getchar(); // Считываем символ новой строки после ввода числа

        switch (option) {
            case 1:
                printf("Enter the destination: ");
                fgets(input, SIZE, stdin);
                input[strcspn(input, "\n")] = '\0'; // Удаляем символ новой строки
                train = add_car(train, input);
                printf("Car added to the train.\n");
                break;

            case 2:
                print_train(train);
                break;

            case 3:
                train = clear_train(train, "Levoča");
                printf("All cars to Levoča have been removed.\n");
                break;

            case 4:
                printf("Exiting and releasing memory.\n");
                cancel_train(train);
                train = NULL;
                break;

            default:
                printf("Invalid option. Please try again.\n");
        }
    } while (option != 4);

    return 0;
}

